Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

WHM + Debian + Openssl = error

Discussion in 'General Discussion' started by mdk_999, Feb 15, 2008.

  1. mdk_999

    mdk_999 Registered

    Joined:
    Aug 18, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    51
    Hi,

    I am trying to install WHM on a Debian box and running into this issue.. After I download and do 'sh latest' The installer eventually gets to this error and dies ..

    --beign error--
    I could not find your OpenSSL in `'
    Please provide OpenSSL-0.9.6j or
    OpenSSL-0.9.7b installation directory (get from
    http://www.openssl.org/ if you don't have it; please note that
    SSLeay is no longer supported, see README) (C-c to abort):
    --end error--

    I do a 'which openssl' and it shows up in /usr/bin/openssl, I also tried to compile openssl from sources and that failed. Any help on this would be appreciated..
     
  2. ToddShipway

    ToddShipway Well-Known Member

    Joined:
    Nov 13, 2006
    Messages:
    300
    Likes Received:
    1
    Trophy Points:
    168
    Location:
    Houston, TX
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. mdk_999

    mdk_999 Registered

    Joined:
    Aug 18, 2007
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    51
    understood.. just fyi this is what I did to get past this error.. I added
    to the /etc/apt/secure.list, then I ran 'apt-get update'. I'll be moving to one of the supported distros but this may help someone else
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice